MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000643XdebugUsage problems (Wrong Results)public2010-11-30 22:222011-03-21 20:42
Reporterderick 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2dev 
Target VersionFixed in Version 
Summary0000643: Profiler gets line numberes wrong
DescriptionSometimes the profiler gets line numbers wrong and shows costs at the wrong place:

derick@kossu:/tmp$ cat test.php
<?php
xdebug_start_trace();
require_once('t1.inc');
 
$a = array("testing");
 
t1();
derick@kossu:/tmp$ cat t1.inc
<?php
 
require_once('t2.inc');
 
function tt() {
  echo "bla";
  echo "bah";
 
}

























 
function t1() {
  global $a;
  if (count($a) && errors_fatal($a))
    echo "ok";
  return TRUE;
}
derick@kossu:/tmp$ cat t2.inc
<?php
 
function errors_fatal($a) {
  count($a) && is_array($a);
  return FALSE;
}
Steps To ReproduceRun with php -dxdebug.profiler_enable=1 test.php and check the profile file with kcachegrind.
TagsNo tags attached.
Operating System
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
(0001695)
derick (administrator)
2011-03-21 20:42

Fixed in SVN for 2.1.1 and HEAD.

- Issue History
Date Modified Username Field Change
2010-11-30 22:22 derick New Issue
2010-11-30 22:22 derick Status new => assigned
2010-11-30 22:22 derick Assigned To => derick
2011-03-21 20:42 derick Note Added: 0001695
2011-03-21 20:42 derick Status assigned => closed
2011-03-21 20:42 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker